UpdateStatus updates the status of a listing
You call thisScope not enforced
POST
/v2/storefront/listing/variant/{sku}/status
const url = 'https://api.zentail.com/v2/storefront/listing/variant/example/status';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status":"STANDARD_STATUS_UNSPECIFIED","channelStatus":"example","channelId":"example","listingUrl":"example","buyable":true,"channelListingId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v2/storefront/listing/variant/example/status \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "STANDARD_STATUS_UNSPECIFIED", "channelStatus": "example", "channelId": "example", "listingUrl": "example", "buyable": true, "channelListingId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”sku
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UpdateStatusRequest provides the status of a SKU
object
status
StandardStatus is the standardized status of a listing as defined by Zentail
string
channelStatus
string
channelId
The channel’s ID for this particular SKU. Should be more specific than Listing.
string
listingUrl
string
buyable
boolean
channelListingId
The channel’s listing-level id (Amazon ASIN, eBay ItemID, Walmart id), distinct from channel_id (the variant-level id).
string
Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
UpdateStatusResponse is empty
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}